如果要升级到 Workspace ONE® Access™(以前名为 VMware Identity Manager™)20.01,以使用新的 Workspace ONE Access Connector 20.01,您需要安装一个或多个 20.01 Connector,并将您的现有目录迁到新的连接器。无法将旧的连接器版本升级到 20.01。

新的 Workspace ONE Access Connector 20.01 是可单独安装或在 Windows Server 上一起安装的企业服务的集合。其中包括以下服务:

  • 目录同步服务:将 Active Directory 或 LDAP 目录中的用户同步到 Workspace ONE Access 服务。
  • 用户身份验证服务:提供基于连接器的身份验证方法,包括密码(云部署)、RSA SecurID(云部署)和 RADIUS(云部署)
  • Kerberos 身份验证服务:为内部用户提供 Kerberos 身份验证

要从旧版连接器迁移到新的 20.01 Connector,需迁移您的目录。迁移目录时,将迁移所有数据,包括身份验证方法和身份提供程序。

迁移要求

  • Workspace ONE Access Connector 20.01 不支持虚拟应用程序(Citrix、Horizon、Horizon Cloud 和 ThinApp 集成)。如果您的环境包含虚拟应用程序,或者您计划在将来使用虚拟应用程序,请不要迁移到 Workspace ONE Access Connector 20.01。

    要集成 Horizon、Horizon Cloud 或 Citrix 应用程序和桌面,请使用 VMware Identity Manager Connector (Windows) 版本 19.03。要集成 ThinApp 打包的应用程序,请使用 VMware Identity Manager Connector (Linux) 版本 2018.8.1.0。

  • 您需要一个或多个 Windows Server 来安装 20.01 Connector。企业服务可以一起安装在一个服务器上,也可以单独安装在不同的服务器上。要了解相关要求,请参阅《安装 Workspace ONE Access Connector》

    适用于 20.01 Connector 的 Windows Server 必须与旧版连接器服务器分开。在迁移过程中,您将在使用旧连接器和新连接器之间进行切换以测试迁移。在迁移过程中,19.03 旧版连接器服务器必须处于运行状态。迁移完成之前,请勿卸载 19.03 Connector。

  • 租户中的所有现有连接器都必须为 19.03 版。如果您有任何旧版连接器,请先将其升级到版本 19.03。
  • 如果您具有 Workspace ONE Access 服务的内部部署实例,请先将该服务升级到 20.01,然后再迁移到 20.01 Connector。
  • 在迁移过程中,您必须将租户中的所有目录迁移到 20.01 Connector。您不能选择仅迁移部分目录。
  • 迁移后,您只能使用新的 20.01 Connector。您的环境中不能同时具有旧版连接器和 20.01 Connector。